@import "../../css/colors.css";
@import "../../css/units.css";

.row {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.costumeInput {
    width: 8rem;
}

[dir="ltr"] .modDashedBorder {
    border-right: 1px dashed var(--ui-pane-border);
    padding-right: calc(2 * var(--grid-unit));
}

[dir="rtl"] .modDashedBorder {
    border-left: 1px dashed var(--ui-pane-border);
    padding-left: calc(2 * var(--grid-unit));
}

.modUnselect {
    user-select: none;
}



.buttonGroupButton {
    display: inline-block;
    border: 1px solid var(--ui-pane-border);
    border-radius: 0;
    padding: .35rem;
}

[dir="ltr"] .buttonGroupButton {
    border-left: none;
}

[dir="rtl"] .buttonGroupButton {
    border-right: none;
}

[dir="ltr"] .buttonGroupButton:last-of-type {
    border-top-right-radius: var(--border-radius);
    border-bottom-right-radius: var(--border-radius);
}

[dir="ltr"] .buttonGroupButton:first-of-type {
    border-left: 1px solid var(--ui-pane-border);
    border-top-left-radius: var(--border-radius);
    border-bottom-left-radius: var(--border-radius);
}

[dir="rtl"] .buttonGroupButton:last-of-type {
    border-top-left-radius: var(--border-radius);
    border-bottom-left-radius: var(--border-radius);
}

[dir="rtl"] .buttonGroupButton:first-of-type {
    border-right: 1px solid var(--ui-pane-border);
    border-top-right-radius: var(--border-radius);
    border-bottom-right-radius: var(--border-radius);
}

[dir="ltr"] .buttonGroupButton.mod-start-border {
    border-left: 1px solid var(--ui-pane-border);
}

[dir="rtl"] .buttonGroupButton.mod-start-border {
    border-right: 1px solid var(--ui-pane-border);
}

[dir="ltr"] .buttonGroupButton.mod-no-end-border {
    border-right: none;
}

[dir="rtl"] .buttonGroupButton.mod-no-end-border {
    border-left: none;
}

.buttonGroupButtonIcon {
    width: 1.25rem;
    height: 1.25rem;
    vertical-align: middle;
}

[dir="rtl"] .buttonGroupButtonIcon {
    transform: scaleX(-1);
}

.modContextMenu {
    display: flex;
    flex-direction: column;
}

.modTopDivider {
    border-top: 1px solid var(--ui-pane-border);
}

.modMenuItem {
    display: flex;
    margin: 0 var(--grid-unit);
    min-width: 6.25rem;
    padding: calc(3 * var(--grid-unit));
    white-space: nowrap;
    cursor: pointer;
    transition: 0.1s ease;
    align-items: center;
    font-family: "Helvetica Neue", Helvetica, sans-serif;
}

.modDisabled {
    cursor: auto;
}

.modMenuItem:hover {
    background: var(--motion-transparent);
}

.modDisabled:hover {
    background-color: transparent;
}

.menuItemIcon {
    margin-right: calc(2 * var(--grid-unit));
}

[dir="rtl"] .menuItemIcon {
    margin-right: 0;
    margin-left: calc(2 * var(--grid-unit));
}
